package com.zhongzheng.modules.recruit.service;

import com.zhongzheng.modules.recruit.domain.RecruitCompany;
import com.zhongzheng.modules.recruit.vo.RecruitCompanyNeedVo;
import com.zhongzheng.modules.recruit.vo.RecruitCompanyVo;
import com.zhongzheng.modules.recruit.bo.RecruitCompanyQueryBo;
import com.zhongzheng.modules.recruit.bo.RecruitCompanyAddBo;
import com.zhongzheng.modules.recruit.bo.RecruitCompanyEditBo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Collection;
import java.util.List;

/**
 * 公司管理列Service接口
 *
 * @author ruoyi
 * @date 2021-08-19
 */
public interface IRecruitCompanyService extends IService<RecruitCompany> {
	/**
	 * 查询单个
	 * @return
	 */
	RecruitCompanyVo queryById(Long companyId);

	/**
	 * 查询列表
	 */
	List<RecruitCompanyVo> queryList(RecruitCompanyQueryBo bo);

	/**
	 * 根据新增业务对象插入公司管理列
	 * @param bo 公司管理列新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(RecruitCompanyAddBo bo);

	/**
	 * 根据编辑业务对象修改公司管理列
	 * @param bo 公司管理列编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(RecruitCompanyEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	Boolean batchImport(MultipartFile file) throws IOException;

	List<RecruitCompanyNeedVo> queryNeedsList(RecruitCompanyQueryBo bo);

	RecruitCompanyNeedVo queryNeedsId(Long companyId);
}
